Skip to main content
PUT
/
v1
/
api-keys
/
{id}
curl --request PUT \ --url https://{instance}.omniapp.co/api/v1/api-keys/{id} \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "enabled": false } '
{ "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "name": "CI deployment key", "type": "organization", "enabled": false, "createdAt": "2026-04-20T10:00:00.000Z", "membershipId": null }

Documentation Index

Fetch the complete documentation index at: https://docs.omni.co/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Can be either an Organization API Key or Personal Access Token (PAT).

Include in the Authorization header as: Bearer YOUR_TOKEN

Path Parameters

id
string<uuid>
required

UUID of the API token. The token must be an Organization API token and exist in the authenticating user's organization.

Body

application/json
enabled
boolean
required

Determines if the API token is enabled: false to disable the token, true to re-enable it.

Response

Token updated successfully. Returns the current state of the token, or the same state if already in the requested state.

id
string<uuid>

Unique ID for the token.

name
string

Token name.

type
enum<string>

Token type.

Available options:
organization,
personal,
mcp
enabled
boolean

Whether the token is enabled.

createdAt
string<date-time>

ISO 8601 timestamp of when the token was created.

membershipId
string<uuid> | null

Membership ID of the user who owns the token. null for Organization API keys.